@rem 
@rem THIS FILE 
@rem 	- COMPILES ALL ARTIFACTS TO THE CD\ DIRECTORY
@rem 	- USES OperaFS TO BUILD A CD IMAGE OUT OF THE CD\ DIRECTORY
@rem 	- ENCRYPTS THE CD IMAGE TO MAKE IT RUNNABLE
@rem 

PATH=C:\3DODev\bin;%PATH% 
set ARMINC="c:\3DODev\include"
set ARMLIB="c:\3DODev\lib"

@rem CLEAN UP
del *.iso
make clean

@rem PROCESS GRAPHICS
cd graphics
call build.bat
cd ..

@rem COMPILE
make
pause
del source\*.o

@rem BUILD OPERAFS CD IMAGE
@rem (first go to the CD directory to save a few clicks, since that's
@rem  what we need to tell OperaFS to use when building the CD image)
@echo CLICK [COMPILE ISO]
@echo CHOOSE THE CD DIRECTORY AND THEN SAVE AS spaceii.iso
@echo ONCE THE ISO FILE IS CREATED, CLOSE OperaFS TO CONTINUE BUILDING IMAGE
cd "CD"
OperaFS.exe
cd..

@rem MAKE CD IMAGE READABLE
3DOEncrypt.exe genromtags spaceii.iso

@rem DONE!! ISO IMAGE NOW USABLE IN AN EMULATOR OR CAN BE BURNED
pause