#include "animatables.h"

void animatables_animate( Animatable* animatable, int videoFramesPerAnimationFrame ) {
	
	animatable->videoFrame++;
	if( animatable->videoFrame >= videoFramesPerAnimationFrame ) {
		animatable->videoFrame = 0;
		
		animatable->currentFrame++;
		if( animatable->currentFrame > animatable->lastFrame ) {
			animatable->currentFrame = animatable->firstFrame;
		}
		
		sprite_setFrame( animatable->sprite, animatable->currentFrame );
	}
}

void animatables_kill( Animatable* animatable ) {
	animatable->state = DEAD;
	sprite_hide( animatable->sprite );
}