#ifndef __DISPLAY__H__
#define __DISPLAY__H__

#include "string.h"
#include "types.h"
#include "getvideoinfo.h"
#include "displayutils.h"
#include "mem.h"
#include "list.h"
#include "sprites.h"

void display_init();
void display_loadBackground( char *filename );
void display_emptyDisplayList();
void display_displayListAdd( Node* node, bool appendAfterTail, int32 index );
void display_displayListRemove( Node* node );
int32 display_displayListCount();
void display_render();

int display_getScreenWidth();
int display_getScreenHeight();

#endif