#include "input.h"

uint32 p_oldInputValue;
uint32 p_inputValue;

void input_read() {
	p_oldInputValue = p_inputValue;
	DoControlPad(
		1, 
		&p_inputValue, 
		BUTTON_A | BUTTON_B 
		);
}

bool input_isTapped( uint32 which ) {
	uint32 wasDownLastFrame = p_oldInputValue & which;
	uint32 isDownThisFrame = p_inputValue & which;
	
	return isDownThisFrame && !wasDownLastFrame;
}

void input_init() {
	InitControlPad( 2 );
	input_read();
	input_read();
}