#ifndef __INVADERS__H__
#define __INVADERS__H__

#include "display.h"
#include "platform.h"
#include "animatables.h"
#include "bullets.h"
#include "sprites.h"

void invaders_init( 
	bool (*checkCollisionCallback)( Rectangle position ) 
	);
bool invaders_checkCollision( Rectangle position );
void invaders_refresh();
int32 invaders_countRemaining();

// called when the player wants to force the cursor to jump to another invader
void invaders_forceCursorMove();
void invaders_fire();

// reset to restart game
void invaders_loadDefaults();

#endif
